Bug 801201 - [abrt] fvwm-2.5.30-4.fc16: fvwm-xdg-menu:95:geticonfile:UnicodeEncodeError: 'ascii' codec can't encode character u'\uabf8' in position 52: ordinal not in range(128)
[abrt] fvwm-2.5.30-4.fc16: fvwm-xdg-menu:95:geticonfile:UnicodeEncodeError: '...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fvwm (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
abrt_hash:f043f4cc14c132c57a8ccd5ad19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 17:20 EST by David Cussans
Modified: 2013-02-13 20:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:49:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Cussans 2012-03-07 17:20:26 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/fvwm-xdg-menu -f -m MenuFvwmUtilities /etc/xdg/menus/applications.menu
executable:     /usr/bin/fvwm-xdg-menu
kernel:         3.2.7-1.fc16.i686
reason:         fvwm-xdg-menu:95:geticonfile:UnicodeEncodeError: 'ascii' codec can't encode character u'\uabf8' in position 52: ordinal not in range(128)
time:           Mon 05 Mar 2012 07:12:48 PM GMT
uid:            500
username:       phdgc

backtrace:
:fvwm-xdg-menu:95:geticonfile:UnicodeEncodeError: 'ascii' codec can't encode character u'\uabf8' in position 52: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/bin/fvwm-xdg-menu", line 133, in <module>
:    parsemenu(xdg.Menu.parse(arg), options.top)
:  File "/usr/bin/fvwm-xdg-menu", line 128, in parsemenu
:    parsemenu(entry)
:  File "/usr/bin/fvwm-xdg-menu", line 128, in parsemenu
:    parsemenu(entry)
:  File "/usr/bin/fvwm-xdg-menu", line 128, in parsemenu
:    parsemenu(entry)
:  File "/usr/bin/fvwm-xdg-menu", line 121, in parsemenu
:    options.exec_command + " " + desktop.getExec())
:  File "/usr/bin/fvwm-xdg-menu", line 106, in printmenu
:    iconfile = geticonfile(icon) or getdefaulticonfile(command) or icon
:  File "/usr/bin/fvwm-xdg-menu", line 95, in geticonfile
:    (iconfile, iconpath, iconfile, iconpath, size, iconfile))
:UnicodeEncodeError: 'ascii' codec can't encode character u'\uabf8' in position 52: ordinal not in range(128)
:
:Local variables in innermost frame:
:theme: 'gnome'
:icon: u'/home/phdgc/.local/share/icons/acd2_\uabf8\x13x\x11\u03ea.xpm'
:iconfile: u'/home/phdgc/.fvwm/icons/24x24-acd2_\uabf8\x13x\x11\u03ea.xpm'
:iconpath: u'/home/phdgc/.local/share/icons/acd2_\uabf8\x13x\x11\u03ea.xpm'
:size: 24

smolt_data:
:
:
:General
:=================================
:UUID: 33390fc9-c015-4264-8355-4a11bede652d
:OS: Fedora release 16 (Verne)
:Default run level: 5
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3999.50
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 2.00GHz
:CPU Stepping: 4
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 1
:CPU Speed: 2000
:System Memory: 1001
:System Swap: 4998
:Vendor: Viglen
:System: GENIE D845GRG 00:07:E9:AE:5F:2C
:Form factor: Unknown
:Kernel: 3.2.7-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4401:28980:6235:51456) pci, saa7134, MULTIMEDIA, Videomate DVB-T300
:(4245:12564:4245:28948) pci, sata_sil, RAID, SiI 3114 [SATALink/SATARaid] Serial ATA Controller
:(36868:29048:0:0) pci, aic7xxx, SCSI, AHA-2940/2940W / AIC-7871
:(32902:9411:32902:21063) pci, i801_smbus, SERIAL, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller
:(32902:9419:32902:21063) pci, ata_piix, STORAGE, 82801DB (ICH4) IDE Controller
:(32902:9408:0:0) pci, None, PCI/ISA, 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge
:(32902:9413:32902:258) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4098:20823:4098:3882) pci, radeon, VIDEO, Radeon RV200 QW [Radeon 7500]
:(32902:9412:32902:21063) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2
:(32902:9410:32902:21063) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1
:(32902:9568:32902:9568) pci, agpgart-intel, HOST/PCI, 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface
:(32902:9415:32902:21063) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3
:(32902:4153:32902:12305) pci, e100, ETHERNET, 82801DB PRO/100 VE (LOM) Ethernet Controller
:(32902:9421:32902:21063) pci, ehci_hcd, USB, 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller
:(32902:9569:0:0) pci, None, PCI/PCI, 82845G/GL[Brookdale-G]/GE/PE Host-to-AGP Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/md1 / ext4 4096 4096 24294481 21105049 20861914 6086656 5815883 5815883
:/dev/sda1 /boot ext4 4096 4096 1276204 1207245 1143245 320000 319752 319752
:/dev/md2 /home ext4 4096 4096 24281714 17560629 16344643 6086656 6002611 6002611
:/dev/md5 /opt ext4 4096 4096 72093030 52231207 48622416 18046976 18033395 18033395
:
Comment 1 Alick Zhao 2012-07-22 02:46:31 EDT
Well I ran into similar issues but not the same. I got some UnicodeDecodeError and UnicodeWarning's and file-not-really-exist issues. I have modified the script to make them gone. You may try the revision with my fixes to see whether it helps. You can find it here:

github gist: https://gist.github.com/3158721

Besides, there is a new version of fvwm in Fedora's repo. Not sure the script fvwm-xdg-menu is updated or not. You can try test with it too.
Comment 2 Fedora End Of Life 2013-01-16 18:26:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 20:49:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.